Skip to main content
GET
/
lite
/
cache-search
/
{companyName}
Cache Search
curl --request GET \
  --url https://rest.kyckr.com/lite/cache-search/{companyName} \
  --header 'Authorization: <api-key>'
import requests

url = "https://rest.kyckr.com/lite/cache-search/{companyName}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://rest.kyckr.com/lite/cache-search/{companyName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "totalRecordsField": 3,
  "totalPagesField": 1,
  "currentPageNumberField": 1,
  "companiesField": [
    {
      "addressesField": [
        {
          "countryField": "FRANCE",
          "addressInOneLineField": "944 RUE DE L INDUSTRIE, MONTPELLIER, HERAULT, 34070",
          "addressLine1Field": "944 RUE DE L INDUSTRIE"
        }
      ],
      "codeField": "344439492",
      "companyIDField": "344439492",
      "legalFormField": "Société à responsabilité limitée (sans autre indication)",
      "legalStatusField": "Cessée",
      "nameField": "INFORMA",
      "officialField": false,
      "incorporationDateField": "1988-04-11",
      "countryISOField": "FR",
      "lastUpdatedField": "2020-03-25T18:51:37+00:00"
    },
    {
      "addressesField": [
        {
          "countryField": "Belgium",
          "addressInOneLineField": "Halleweg 332, Halle, 1500",
          "addressLine1Field": "Halleweg 332"
        }
      ],
      "codeField": "0437178208",
      "companyIDField": "0437178208",
      "legalFormField": "Société anonyme",
      "legalStatusField": "Situation Normale",
      "nameField": "INFORMA",
      "officialField": false,
      "incorporationDateField": "1989-03-30",
      "countryISOField": "BE",
      "lastUpdatedField": "2021-06-12T10:25:33+00:00"
    },
    {
      "addressesField": [],
      "codeField": "07610600000110",
      "companyIDField": "07610600000110",
      "nameField": "JORNAL INFORMA NEGOCIOS LTDA",
      "officialField": false,
      "countryISOField": "BR",
      "lastUpdatedField": "2018-08-29T06:42:31+00:00"
    }
  ]
}

Authorizations

Authorization
string
header
required

Path Parameters

companyName
string
required

Name of the company you are searching for

Response

200 - application/json

Example response

totalRecordsField
integer
totalPagesField
integer
currentPageNumberField
integer
companiesField
object[]
responseCodeField
integer